%define name monkey-bubble
%define version 0.3.2
%define release 9mdk

Summary: GNOME clone of the game Bust'a'Move
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://home.gna.org/monkeybubble/downloads/%{name}-%{version}.tar.bz2
Patch: gnome-terminal-2.6.1-egg.patch.bz2
Patch1: mb-gst.diff.bz2
Patch2: mb_appicon.patch.bz2
Patch3: monkey-bubble-0.3.22-no-werror.patch.bz2
License: GPL
Group: Games/Arcade
Url: http://home.gna.org/monkeybubble/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: gstreamer-audiosink >= 0.8
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: gstreamer-plugins-devel >= 0.8
BuildRequires: librsvg-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
#gw auto*
BuildRequires: automake1.9
BuildRequires: intltool
%description
This is an arcade puzzle game with the goal of making all bubbles in
the game area explode.

You explode bubbles by putting at least 3 of the same colour in
contact. Any bubble that is connected to the top or the sides of the
game area by bubbles you just exploded falls too.

Support for network game with 4 players is included.

%prep
%setup -q
cd src/ui
%patch -p2 -b .egg
cd ../..
%patch1 -p0 -b .gst
%patch2 -p1 -b .appicon
%patch3 -p1
aclocal-1.9
autoconf
automake-1.9 -a -c

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%name" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Monkey Bubble" \
  longtitle="Monkey Bubble Arcade Game" startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name-icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/%name-icon.png %buildroot%_miconsdir/%name.png

%triggerpostun -- %{name} < 0.3.2-3mdk
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null


%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS
#README NEWS
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_bindir/monkey-srv
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name-icon.png
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-9mdk
- fix buildrequires

* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 0.3.2-8mdk
- fix for gcc 4 by disabling -Werror

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-7mdk
- patch from Christian Fredrik Kalager Schaller: add appicon

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-6mdk
- add gstreamer patch from gst guru Ronald Bultje

* Tue Oct 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-5mdk
- fix omf file listing

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-4mdk
- Fix schema uninstallation and upgrade (found by Laurent)

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-3mdk
- fix requires

* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-2mdk
- fix buildrequires

* Mon Jul  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- fix build (patch from gnome-terminal package)
- initial package
